<?php
/*	mod_emailallposts: Send all posts on the message board to an email address.
	author: Chris Eaton (tridus@hiredgoons.ca)
	version: 1.4
	license: You are free to use, modify, or redistribute this code so long as I am given credit for the original development somewhere.
			 This code comes with absolutly no warranty.

			 It would be nice (but not required) of you to email me if you find this module useful. :-)
*/
    if(!defined("PHORUM_ADMIN")) return;

    if(count($_POST)){

        $PHORUM["mod_emailallposts"]["email_to"]=$_POST["email_to"];
        $PHORUM["mod_emailallposts"]["subject"]=$_POST["subject"];
        $PHORUM["mod_emailallposts"]["addresses"] = $_POST["addresses"];
        $PHORUM["mod_emailallposts"]["mode"] = $_POST["mode"];

        if(!phorum_db_update_settings(array("mod_emailallposts"=>$PHORUM["mod_emailallposts"]))){
            $error="Database error while updating settings.";
        } else {
            echo "Settings Updated<br />";
        }
    }

    include_once "./include/admin/PhorumInputForm.php";
    $frm =& new PhorumInputForm ("", "post", "Save");
    $frm->hidden("module", "modsettings");
    $frm->hidden("mod", "emailallposts");
    $frm->addbreak("Edit Settings of the emailallposts-Module (version 1.4)");
	$frm->addrow("Email Address to send all posts to (optional)", $frm->text_box("email_to", $PHORUM["mod_emailallposts"]["email_to"]));
    $frm->addrow("Base Subject (optional)", $frm->text_box("subject", $PHORUM["mod_emailallposts"]["subject"]));
    $frm->addrow("Usage Mode", $frm->select_tag( "mode", array( "Mailing List"=>"Mailing List", "Monitoring"=>"Monitoring" ), $PHORUM["mod_emailallposts"]["mode"] ));

    $frm->addbreak();
    $frm->addmessage("You can also specify an address to send all posts from each specific forum. These will only get email from posts in the forum in question. No matter what you put here, all posts will still go to the main address. Leave empty for none.");

    $forums=phorum_db_get_forums();
    $list=array();

    foreach($forums as $forum_id=>$forum){
        //$list[$forum_id]=$forum["name"];
        if (!$forum["folder_flag"]){
    		$address = $PHORUM["mod_emailallposts"]["addresses"]["$forum_id"];
	    	$frm->addrow($forum["name"], $frm->text_box("addresses[$forum_id]",$address));
        }
    }  
    $frm->show();
?>
